//Source file: DirectCreditAmountResEvent.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.9.0

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the directCreditAmountRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class DirectCreditAmountResEvent extends java.util.EventObject {

    /**
     * Constructor for the DirectCreditAmountResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DirectCreditAmountResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.ChargingPrice creditedAmount) {

        super(source);
      this.creditedAmount = creditedAmount;
 
    }

    org.csapi.jr.se.cs.ChargingPrice creditedAmount;

    /**
     *  This method is used to retrieve the parameter value of 'creditedAmount' passed up
     *  from the Gateway in it's call to the directCreditAmountRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'creditedAmount' used on creation of this event.
     */
    public org.csapi.jr.se.cs.ChargingPrice getCreditedAmount() {

        return this.creditedAmount;
    }
       
}

