//Source file: DirectDebitUnitResEvent.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.9.0

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the directDebitUnitRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class DirectDebitUnitResEvent extends java.util.EventObject {

    /**
     * Constructor for the DirectDebitUnitResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DirectDebitUnitResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.Volume[] debitedVolumes) {

        super(source);
      this.debitedVolumes = debitedVolumes;
 
    }

    org.csapi.jr.se.cs.Volume[] debitedVolumes;

    /**
     *  This method is used to retrieve the parameter value of 'debitedVolumes' passed up
     *  from the Gateway in it's call to the directDebitUnitRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'debitedVolumes' used on creation of this event.
     */
    public org.csapi.jr.se.cs.Volume[] getDebitedVolumes() {

        return this.debitedVolumes;
    }
       
}

