//Source file: PriceVolume.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.9.0

package org.csapi.jr.se.cs;

/**
 * Defines the Sequence of Data Elements that identify a price for a volume. 
 * 
 */
public final class PriceVolume implements java.io.Serializable {

    private org.csapi.jr.se.cs.ChargingPrice price;
    private org.csapi.jr.se.cs.Volume volume;

    /**
     * Creates a new PriceVolume instance.
     */
    public PriceVolume () {}

    /**
     * Creates a new PriceVolume instance.
     * @param _price   
     * @param _volume   
     */
    public PriceVolume (org.csapi.jr.se.cs.ChargingPrice _price, org.csapi.jr.se.cs.Volume _volume) {

        this.price = _price;
        this.volume = _volume;
    }

    /**
     * This method returns a price.
     * 
     * @return a org.csapi.jr.se.cs.ChargingPrice value
     */
    public org.csapi.jr.se.cs.ChargingPrice getPrice() {
        return price;
    }

    /**
     * This method returns a volume.
     * 
     * @return a org.csapi.jr.se.cs.Volume value
     */
    public org.csapi.jr.se.cs.Volume getVolume() {
        return volume;
    }


    /**
     * This method sets a price.
     */ 
    public void setPrice(org.csapi.jr.se.cs.ChargingPrice price) {
        this.price = price;
    }

    /**
     * This method sets a volume.
     */ 
    public void setVolume(org.csapi.jr.se.cs.Volume volume) {
        this.volume = volume;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PriceVolume)) {
            return false;
        } 
        PriceVolume priceVolume = (PriceVolume) o;
        if ((this.price != null) && (priceVolume.price != null)) {
            if(!(this.price.equals(priceVolume.price))) {
                return false;
            }
        }
        if ((this.volume != null) && (priceVolume.volume != null)) {
            if(!(this.volume.equals(priceVolume.volume))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PriceVolume

