//Source file: ReserveUnitResEvent.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.9.0

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reserveUnitRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class ReserveUnitResEvent extends java.util.EventObject {

    /**
     * Constructor for the ReserveUnitResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReserveUnitResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.Volume[] reservedUnits,
        int                             sessionTimeLeft) {

        super(source);
      this.reservedUnits = reservedUnits;
      this.sessionTimeLeft = sessionTimeLeft;
 
    }

    org.csapi.jr.se.cs.Volume[] reservedUnits;

    /**
     *  This method is used to retrieve the parameter value of 'reservedUnits' passed up
     *  from the Gateway in it's call to the reserveUnitRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'reservedUnits' used on creation of this event.
     */
    public org.csapi.jr.se.cs.Volume[] getReservedUnits() {

        return this.reservedUnits;
    }
       
    int                             sessionTimeLeft;

    /**
     *  This method is used to retrieve the parameter value of 'sessionTimeLeft' passed up
     *  from the Gateway in it's call to the reserveUnitRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'sessionTimeLeft' used on creation of this event.
     */
    public int getSessionTimeLeft() {

        return this.sessionTimeLeft;
    }
       
}

